%global reltag .v20110722-r9776
%global namedversion %{version}%{?reltag}

Name:          eclipselink
Version:       2.2.1
Release:       %mkrel 1
Summary:       Eclipse Persistence Services Project
Group:         Development/Java
License:       EPL, EDL
Url:           http://www.eclipse.org/eclipselink/
Source0:       http://www.mirrorservice.org/sites/download.eclipse.org/eclipseMirror/rt/eclipselink/releases/%{version}/eclipselink-src-%{namedversion}.zip
# from Debian ... and modified for mageia
Source1:       eclipselink-2.1.3-build.properties
Source2:       eclipselink-2.2.1-00-build.xml
Source3:       eclipselink-2.1.3-JPQL.g

# from http://mirror.cc.columbia.edu/pub/software/eclipse/rt/eclipselink/maven.repo/org/eclipse/persistence/
Source4:       eclipselink-2.2.1.pom
Source5:       org.eclipse.persistence.core-2.2.1-mod.pom
Source6:       org.eclipse.persistence.jpa-2.2.1-mod.pom

Patch0:        eclipselink-2.2.1-disable_antlr3_embedded_copy.patch
Patch1:        eclipselink-2.2.1-disable_asm_embedded_copy.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: java-javadoc

BuildRequires: ant
BuildRequires: antlr3-java
BuildRequires: antlr3-tool
BuildRequires: asm
BuildRequires: asm2
BuildRequires: aspectj
BuildRequires: bndtask
BuildRequires: felix-framework
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: geronimo-jms
BuildRequires: geronimo-jpa-2.0-api
BuildRequires: geronimo-jta
BuildRequires: geronimo-validation-1.0-api
BuildRequires: javamail
BuildRequires: org.osgi.enterprise
BuildRequires: sdo-api-java
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: wsdl4j

Requires:      antlr3-java
Requires:      antlr3-tool
Requires:      asm
Requires:      asm2
Requires:      aspectj
Requires:      geronimo-j2ee-connector-1_5-api
Requires:      geronimo-jms
Requires:      geronimo-jpa-2.0-api
Requires:      geronimo-jta
Requires:      geronimo-validation-1.0-api
Requires:      javamail
Requires:      org.osgi.enterprise
Requires:      sdo-api-java
Requires:      tomcat6-servlet-2.5-api
Requires:      wsdl4j

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Eclipse Persistence Services Project, more commonly known as EclipseLink,
is a Java comprehensive persistence framework delivering a set of persistence
services based around standards. This lets you rapidly build applications
that combine the best aspects of object technology and the specific data
source.
.
EclipseLink was started by a donation of the full source code and
test suites of Oracle's TopLink product.
.
EclipseLink's services currently include object-relational with JPA,
object-XML binding in MOXy (with support for JAXB), a Service Data Objects
(SDO) implementation and support for another technologies like: Database Web
Services (DWS), XML-Relational (XRM) and Non-Relational (EIS via JCA).

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

cp -p %{SOURCE1} build.properties
cp -p %{SOURCE2} build.xml
cp -p %{SOURCE3} JPQL.g

%build

#antlr3 -fo org/eclipse/persistence/internal/jpa/parsing/jpql/antlr/ JPQL.g

ant
#ant jar.antlr jar.asm
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %SOURCE4 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -m 644 %SOURCE5 %{buildroot}%{_mavenpomdir}/JPP-org.eclipse.persistence.core.pom
%add_to_maven_depmap org.eclipse.persistence org.eclipse.persistence.core %{version} JPP %{name}

install -m 644 %SOURCE6 %{buildroot}%{_mavenpomdir}/JPP-org.eclipse.persistence.jpa.pom
%add_to_maven_depmap org.eclipse.persistence org.eclipse.persistence.jpa %{version} JPP %{name}

#install -m 644 %SOURCE7 %{buildroot}%{_mavenpomdir}/JPP-org.eclipse.persistence.antlr.pom
#dd_to_maven_depmap org.eclipse.persistence org.eclipse.persistence.antlr %{version} JPP %{name}-antlr

#install -m 644 %SOURCE7 %{buildroot}%{_mavenpomdir}/JPP-org.eclipse.persistence.asm.pom
#dd_to_maven_depmap org.eclipse.persistence org.eclipse.persistence.asm %{version} JPP %{name}-asm


mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/api/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc about.html license.html readme.html

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Oct 27 2011 gil <gil> 2.2.1-1.mga2
+ Revision: 158500
- update to 2.2.1.v20110722-r9776

* Tue Oct 18 2011 gil <gil> 2.1.3-1.mga2
+ Revision: 156115
- added m2 poms
- imported package eclipselink

